#-------------------------------------------------------                 
#-------------------------------------------------------
# quick plot digitizer hws files -----------------------
#-------------------------------------------------------
#-------------------------------------------------------
import matplotlib.pyplot as plt
from decimal import *
import numpy as np
import h5py
#-------------------------------------------------------
# declarations
#filename= 'Feb_14_Cap4.hws'
#filename= 'RG62_trial.hws'
filename= 'RG58_trial.hws'
timeunit = 1 # 1 for s; 2 for micros; 3 for ns



# extract basic data
f1 = h5py.File(filename, 'r')
t_start = f1['wfm_group0/traces/trace0/x-axis'].attrs['start']
t_increment = f1['wfm_group0/traces/trace0/x-axis'].attrs['increment']
print 't (int s)', t_increment

value1= Decimal(str(t_increment)).quantize(Decimal('.0000000001')) 
t_interval_nano= 1e9*float(value1)
print 't (int ns)', t_interval_nano

value2= Decimal(str(t_increment)).quantize(Decimal('.000000001')) 
t_interval_micro= 1e6*float(value2)
print 't (int micro)', t_interval_micro

sample_rate= f1['wfm_group0/traces/trace0/configs/config0/data/hor/public0'].attrs['sample_rate']
sample_number= f1['wfm_group0/traces/trace0/configs/config0/data/hor/public0'].attrs['record_length']
sample_time= sample_number / sample_rate



# get data values and scaling factor
dset1= f1['wfm_group0/traces/trace0/y-axis/data_vector/data']
y_data = dset1[0:sample_number]
dset2 = f1['wfm_group0/traces/trace0/y-axis/scale_coef']
scale_coef= dset2[0:2]
f1.close()



# data values for plotting
y_dataset= scale_coef[0] + scale_coef[1]*y_data
t_initial = 0        
t_final = (sample_number-1) * t_increment
print 't total (s)', t_final

if (timeunit==1):
	t_dataset = t_increment * np.arange(sample_number)
elif (timeunit==2):
	t_dataset = t_interval_micro * np.arange(sample_number)
elif (timeunit==3):
	t_dataset = t_interval_nano * np.arange(sample_number) 



# make plots
plt.figure()
plt.plot(t_dataset,y_dataset)
plt.title('Alpha Source FIU'+' '+filename)
plt.ylabel('Volts')
if (timeunit==1):
	plt.xlabel('Seconds')
elif (timeunit==2):
	plt.xlabel('Microseconds')
elif (timeunit==3):
	plt.xlabel('Nanoseconds')
plt.show()























