#-------------------------------------------------------                 
#-------------------------------------------------------
# quick plot digitizer hws files -----------------------
#-------------------------------------------------------
#-------------------------------------------------------
import matplotlib as plt
#import matplotlib.pyplot as plt
from decimal import *
import numpy as np
import h5py
#-------------------------------------------------------
# declarations


#preamp3,amp4
filename1= 'RG58_trial.hws'
filename2= 'RG62_trial.hws'



#listfilename= [filename4,filename3,filename2,filename1]
timeunit = 2 # 1 for s; 2 for micros; 3 for ns


# extract basic data
f1 = h5py.File(filename1, 'r')
t_start = f1['wfm_group0/traces/trace0/x-axis'].attrs['start']
t_increment = f1['wfm_group0/traces/trace0/x-axis'].attrs['increment']
#print 't (int s)', t_increment
value1= Decimal(str(t_increment)).quantize(Decimal('.0000000001')) 
t_interval_nano= 1e9*float(value1)
#print 't (int ns)', t_interval_nano
value2= Decimal(str(t_increment)).quantize(Decimal('.000000001')) 
t_interval_micro= 1e6*float(value2)
#print 't (int micro)', t_interval_micro
sample_rate= f1['wfm_group0/traces/trace0/configs/config0/data/hor/public0'].attrs['sample_rate']
sample_number= f1['wfm_group0/traces/trace0/configs/config0/data/hor/public0'].attrs['record_length']
sample_time= sample_number / sample_rate
# get data values and scaling factor
dset1= f1['wfm_group0/traces/trace0/y-axis/data_vector/data']
y_data = dset1[0:sample_number]
dset2 = f1['wfm_group0/traces/trace0/y-axis/scale_coef']
scale_coef= dset2[0:2]

# data values for plotting
y_dataset= scale_coef[0] + scale_coef[1]*y_data
t_initial = 0        
t_final = (sample_number-1) * t_increment
print 't total (s)', t_final
if (timeunit==1):
	t_dataset = t_increment * np.arange(sample_number)
elif (timeunit==2):
	t_dataset = t_interval_micro * np.arange(sample_number)
elif (timeunit==3):
	t_dataset = t_interval_nano * np.arange(sample_number) 
#plt.pyplot.figure()
#plt.pyplot.title(filename1)
#line1,= plt.pyplot.plot(t_dataset,y_dataset)	
#plt.pyplot.show()
f1.close()









# extract basic data
f12 = h5py.File(filename2, 'r')
t_start2 = f12['wfm_group0/traces/trace0/x-axis'].attrs['start']
t_increment2 = f12['wfm_group0/traces/trace0/x-axis'].attrs['increment']
#print 't (int s)', t_increment
value12= Decimal(str(t_increment2)).quantize(Decimal('.0000000001')) 
t_interval_nano2= 1e9*float(value12)
#print 't (int ns)', t_interval_nano
value22= Decimal(str(t_increment2)).quantize(Decimal('.000000001')) 
t_interval_micro2= 1e6*float(value22)
#print 't (int micro)', t_interval_micro
sample_rate2= f12['wfm_group0/traces/trace0/configs/config0/data/hor/public0'].attrs['sample_rate']
sample_number2= f12['wfm_group0/traces/trace0/configs/config0/data/hor/public0'].attrs['record_length']
sample_time2= sample_number2 / sample_rate2
# get data values and scaling factor
dset12= f12['wfm_group0/traces/trace0/y-axis/data_vector/data']
y_data2 = dset12[0:sample_number2]
dset22 = f12['wfm_group0/traces/trace0/y-axis/scale_coef']
scale_coef2= dset22[0:2]

# data values for plotting
y_dataset2= scale_coef2[0] + scale_coef2[1]*y_data2
t_initial2 = 0        
t_final2 = (sample_number2-1) * t_increment2
print 't total (s)', t_final2
if (timeunit==1):
	t_dataset2 = t_increment2 * np.arange(sample_number2)
elif (timeunit==2):
	t_dataset2 = t_interval_micro2 * np.arange(sample_number2)
elif (timeunit==3):
	t_dataset2 = t_interval_nano2 * np.arange(sample_number2) 
#plt.pyplot.figure()
#plt.pyplot.title(filename2)
#line1,= plt.pyplot.plot(t_dataset2,y_dataset2)	
#plt.pyplot.show()	
f12.close()	






# make plots
plt.pyplot.figure()
plt.pyplot.title('Alpha Source FIU')
plt.pyplot.ylabel('Volts')
line2,= plt.pyplot.plot(t_dataset2,y_dataset2)
line1,= plt.pyplot.plot(t_dataset,y_dataset)
if (timeunit==1):
	plt.pyplot.xlabel('Seconds')
elif (timeunit==2):
	plt.pyplot.xlabel('Microseconds')
elif (timeunit==3):
	plt.pyplot.xlabel('Nanoseconds')
plt.pyplot.show()
plt.pyplot.legend([line1,line2],['RG58','RG62'])	
plt.pyplot.show()






















